// (C) Copyright 2020 Hewlett-Packard Enterprise Company, L.P.
/**
 * @type {TimePicker}
 */
define([ 'hp/core/Localizer', 'jquery', 'lib/jquery-ui-timepicker-addon' ],    function(localizer) {
"use strict";

    var Timepicker = (function() {
        /**
         * @constructor
         */
        function Timepicker() {
            this.init = function() {
                var strings = localizer.getString('core.timepicker');
                $.timepicker.regional[hp.getLang()] = strings;
                $.timepicker.setDefaults(strings);
            }
        }

        return new Timepicker();
    }());
    return Timepicker;

});
